/// <reference path="MindFusion.Scheduling-vsdoc.js" /> 

var p = MindFusion.Scheduling;

var greetings = [
 "\"I don't always test my code, but when I do, I do it in production.\"", 
 "\"Debugging: removing the needles from the haystack.\"",
 "\"There are only 10 types of people in the world: those who understand binary, and those who don't.\"",
 "\"Programming is like sex: one mistake and you're providing support for a lifetime.\"",
 "\"Old programmers never die. They simply give up their resources.\"",
 "\"The best code is the one you didn't have to write.\"",
 "\"I have a joke on programming, but it only works on my computer.\"",
 "\"I'm not anti-social, I'm just not user-friendly.\"",
 "\"I'm not lost, I'm just refactoring my location.\"",
 "\"I don't need luck, I have version control.\"",
 "\"When in doubt, Ctrl+Z it out!",
 "\"I'm not a perfectionist, I'm just waiting for the compiler to finish yelling at me.\"",
 "\"I don't need a social life, I have GitHub.\"",
 "\"I don't always write comments in my code, but when I do, I make sure they're sarcastic.\"",
 "\"I don't need a therapist, I just need a code reviewer to listen to my problems.\"",
 "\"I'm not a multitasker, I just have many terminal tabs open.\"",
 "\"A user interface is like a joke. If you have to explain it, it's not that good.\"",
 "\"I'm very font of you because you are just my type.\"",
 "\"One man's crappy software is another man's full time job.\"",
 "\"It's better to wait for a productive programmer to become available than it is to wait for the first available programmer to become productive.\"",
 "\"A code is like love, it was created with clear intentions at the beginning, but it can get complicated.\"",
 "\"Before software can be reusable it first has to be usable.\"",
 "\"There are two ways to write error-free programs; only the third one works",
 "\"Walking on water and developing software from a specification are easy if both are frozen.\"",
 "\"Don't worry if it doesn't work right. If everything did, you'd be out of a job.\"",
 "\"The trouble with programmers is that you can never tell what a programmer is doing until it's too late.\"" 
 ];

// create a new instance of the calendar 
var calendar = new p.Calendar(document.getElementById("calendar"));

calendar.monthSettings.headerStyle = p.MainHeaderStyle.Buttons | p.MainHeaderStyle.Title;
calendar.monthSettings.dayOfWeekFormat = p.DayOfWeekFormat.Full;
calendar.monthSettings.leadingWeekCount = 1;
calendar.monthSettings.showPaddingItems = true;
calendar.monthSettings.maxItems = 3;

calendar.theme = "christmas";

calendar.date = p.DateTime.today();
calendar.useForms = false;

//visualize the calendar
calendar.render();

calendar.cellClick.addEventListener(handleCellClick);

const closeButton = document.querySelector("dialog button");
const dialog = document.querySelector("dialog");

// "Close" button closes the dialog
closeButton.addEventListener("click", () => {
  dialog.close();
});

styleNonQuoteCells();


function handleCellClick(sender, args) {
     
   dialog.close();
   
   var day = args.cell.startTime.day;  
   
   if(args.cell.startTime.month != 11)
	    return;
	
   if(changeText(day))		
		dialog.show();
}

 function changeText(dayOfMonth){
	 
	 if(greetings.length > dayOfMonth)
	 {
        var element = document.getElementById("greetingsText");
        element.innerHTML = greetings[dayOfMonth-1];
		
		return true;
	 }
	 
	 return false;
   }
   
   function styleNonQuoteCells()
   {	  	   
	   let startDate = calendar.startTime; 
	   
	   for( let i = 0; i < 42; i++)
	   {
		   let date = p.DateTime.fromDateParts(startDate.year, startDate.month, startDate.day, 0, 0, 0).addDays(i);
		   
		   if(date.month < 11 || date.day > 25)
		   {		   
			   let cell = calendar.getTimeCell(date);
			   cell.bgCell.style.backgroundImage = 'url(rudolf.png)';
			   cell.bgCell.style.backgroundColor = '#214001';
			   
		   }
	   }
   }
	






